Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 35539 - Wrong value not updated in variables and watch view
Wrong value not updated in variables and watch view
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Outline&TreeTable
3.x
All All
: P4 (vote)
: 3.x
Assigned To: _ tboudreau
issues@platform
:
Depends on: 31896
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-21 02:02 UTC by David-john Burrowes
Modified: 2008-12-22 19:44 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David-john Burrowes 2003-08-21 02:02:08 UTC
(this may be an openide/explorer issue?)

If I have an integer variable, and I type
"abcdefg" into the cell and then press return, I
am given an alert and the editable state in the
cell is removed but the "abcdefg" is still shown,
rather than the correct numeric value.
Comment 1 Maros Sandor 2003-12-05 07:33:27 UTC
Property sheet seems to display the "new" value of a property even if 
the setter method throws an exception. If I click on some other 
property, the old (correct) value appears again.
Comment 2 _ tboudreau 2003-12-08 16:46:52 UTC
This will be fixed by the property panel rewrite, which should be
merged tomorrow morning.
Comment 3 _ tboudreau 2003-12-09 09:36:35 UTC
Property panel rewrite branch merged.
Comment 4 Marian Mirilovic 2005-07-13 13:23:40 UTC
closed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo